Bug 1242209 - [abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
Summary: [abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poedit
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fd79ed85abb9139813e850a0e87...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-12 10:06 UTC by thraex
Modified: 2015-08-15 02:24 UTC (History)
8 users (show)

Fixed In Version: poedit-1.8.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-10 09:54:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.42 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: core_backtrace (20.57 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: dso_list (11.91 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: environ (2.16 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: maps (60.58 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: open_fds (1.55 KB, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-07-12 10:06 UTC, thraex
no flags Details

Description thraex 2015-07-12 10:06:09 UTC
Description of problem:
I opened a file, filled the first translation and then pressed "enter" which led to this crash.

Version-Release number of selected component:
poedit-1.8.1-1.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        poedit /tmp/for_use_ledokol_ledokol_tr_TR.po
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/poedit
global_pid:     2778
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 6 (7 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 #1 __gthread_cond_wait at /usr/src/debug/gcc-5.1.1-20150618/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/x86_64-redhat-linux/bits/gthr-default.h:864
 #2 std::condition_variable::wait at ../../../../../libstdc++-v3/src/c++11/condition_variable.cc:53
 #3 wait<ThreadPool::ThreadPool(size_t)::<lambda()>::<lambda()> > at /usr/include/c++/5.1.1/condition_variable:98
 #4 operator() at ThreadPool.h:77
 #5 _M_invoke<> at /usr/include/c++/5.1.1/functional:1531
 #6 operator() at /usr/include/c++/5.1.1/functional:1520

Comment 1 thraex 2015-07-12 10:06:12 UTC
Created attachment 1051085 [details]
File: backtrace

Comment 2 thraex 2015-07-12 10:06:13 UTC
Created attachment 1051086 [details]
File: cgroup

Comment 3 thraex 2015-07-12 10:06:15 UTC
Created attachment 1051087 [details]
File: core_backtrace

Comment 4 thraex 2015-07-12 10:06:16 UTC
Created attachment 1051088 [details]
File: dso_list

Comment 5 thraex 2015-07-12 10:06:17 UTC
Created attachment 1051089 [details]
File: environ

Comment 6 thraex 2015-07-12 10:06:18 UTC
Created attachment 1051090 [details]
File: limits

Comment 7 thraex 2015-07-12 10:06:20 UTC
Created attachment 1051091 [details]
File: maps

Comment 8 thraex 2015-07-12 10:06:21 UTC
Created attachment 1051092 [details]
File: mountinfo

Comment 9 thraex 2015-07-12 10:06:22 UTC
Created attachment 1051093 [details]
File: namespaces

Comment 10 thraex 2015-07-12 10:06:23 UTC
Created attachment 1051094 [details]
File: open_fds

Comment 11 thraex 2015-07-12 10:06:24 UTC
Created attachment 1051095 [details]
File: proc_pid_status

Comment 12 thraex 2015-07-12 10:06:25 UTC
Created attachment 1051096 [details]
File: var_log_messages

Comment 13 c72578 2015-07-12 12:53:49 UTC
Thanks for your bug report.
This issue has been fixed upstream:

https://github.com/vslavik/poedit/issues/190
https://github.com/vslavik/poedit/commit/8f4c8e02c5ccf9ab7344864554aca22d84631d4d

Would be probably worth including a patch for this issue in a new Fedora Poedit 1.8.2 package.

Comment 14 Christian Kirbach 2015-07-31 12:43:59 UTC
Another user experienced a similar problem:

I entered translated text. I think I might have hit CRTL and ALT and some other key when the crash happened.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        poedit '/run/media/nazgul/Linux Mint 17 Cinnamon 64-bit/tracker.tracker-1.4.de.po'
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/poedit
global_pid:     15097
kernel:         4.1.2-200.fc22.x86_64
package:        poedit-1.8.1-1.fc22
reason:         poedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Tobias Schönberg 2015-07-31 21:14:52 UTC
Happening to me too. An update to the package is desperately needed.

Comment 16 Fedora Update System 2015-08-01 19:19:46 UTC
poedit-1.8.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/poedit-1.8.3-1.fc22

Comment 17 Fedora Update System 2015-08-03 04:29:25 UTC
Package poedit-1.8.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poedit-1.8.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12637/poedit-1.8.3-1.fc22
then log in and leave karma (feedback).

Comment 18 Mario Blättermann 2015-08-03 19:00:53 UTC
Note: Due to the latest Boost update in Rawhide and f23, Poedit cannot be built there because lucene++ builds also fail. As a consequence, the current poedit-1.8.3-1.fc22 will probably be kept in Testing indefinitely. As far as I can remember, packages in Rawhide must not be older than those in current or already forked distribution versions.

Comment 19 Fedora Update System 2015-08-04 18:20:01 UTC
poedit-1.8.4-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/poedit-1.8.4-1.fc23

Comment 20 Fedora Update System 2015-08-04 18:20:08 UTC
poedit-1.8.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/poedit-1.8.4-1.fc22

Comment 21 Mario Blättermann 2015-08-04 18:25:01 UTC
Well, it builds again in f23, but Rawhide still fails because lucene++ is still linked to boost-1.57 there. Don't know how to solve this.

Comment 22 Anass Ahmed 2015-08-06 00:51:10 UTC
This bug happens always when I press enter on a single-line translation string.

This leaded to losing a lot of translations :(

Comment 23 Fedora Update System 2015-08-10 09:54:42 UTC
poedit-1.8.4-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-08-15 02:24:05 UTC
poedit-1.8.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.